<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMechanicsThrusterController Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMechanicsThrusterController Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMechanicsThrusterController" --><!-- doxytag: inherits="iBase" -->
<p>Property class that controls the thrusters attached to an object through the use of balanced thruster groups.  
 <a href="structiPcMechanicsThrusterController.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechthruster_8h_source.html">propclass/mechthruster.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMechanicsThrusterController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMechanicsThrusterController.png" usemap="#iPcMechanicsThrusterController_map" alt=""/>
  <map id="iPcMechanicsThrusterController_map" name="iPcMechanicsThrusterController_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,195,24"/>
</map>
 </div></div>

<p><a href="structiPcMechanicsThrusterController-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a27560838c9fb1eb0384352383782b214">AddAxis</a> (const char *name, celAxisType type, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> axis)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a named axis to the controller.  <a href="#a27560838c9fb1eb0384352383782b214"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a2c5edd062236d03fa7dad957682a125c">AddBalancedGroup</a> (<a class="el" href="structiPcMechanicsBalancedGroup.html">iPcMechanicsBalancedGroup</a> *group, const char *axisname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a balanced thruster group to the specified axis.  <a href="#a2c5edd062236d03fa7dad957682a125c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a8295e538c070d55fc32c17fd65c0f2c7">ApplyThrust</a> (float thrust, const char *axisname, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> &amp;id)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply the given percentage of total thrust for a given axis.  <a href="#a8295e538c070d55fc32c17fd65c0f2c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a553d0f6735c4726e35fdd7acce363fac">CancelThrust</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> id)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cancels specified thrust request.  <a href="#a553d0f6735c4726e35fdd7acce363fac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a38bd444ae847394a89222d78e14fc631">GetAxis</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the axis of rotation or translation.  <a href="#a38bd444ae847394a89222d78e14fc631"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a1b591afa7ca1035fda5efae1c875e536">GetAxisMaxForce</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the strength of the best thruster group in the given axis.  <a href="#a1b591afa7ca1035fda5efae1c875e536"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a53763c08e38c6762a015ea43c2e60a32">GetAxisMaxThrust</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of thrust needed to produce the maximum force in the given axis.  <a href="#a53763c08e38c6762a015ea43c2e60a32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const celAxisType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a5c5b667877fb50a011071cd77dde0469">GetAxisType</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the given axis.  <a href="#a5c5b667877fb50a011071cd77dde0469"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a0b4425730a78c5b3de1628079715b93a">GetAxisVelocity</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current velocity in the given axis.  <a href="#a0b4425730a78c5b3de1628079715b93a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#ab2b351dff5c6f100fbb6eb36f5a9d114">GetMechanicsObject</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated mechanics object.  <a href="#ab2b351dff5c6f100fbb6eb36f5a9d114"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#a099fe211a5726718275be0e89d11e567">RemoveBalancedGroup</a> (const char *grouptag, const char *axisname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a thruster group from the specified axis.  <a href="#a099fe211a5726718275be0e89d11e567"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThrusterController.html#ab45cc9b185a33d20113c615fb34c262b">SetMechanicsObject</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *mechobj)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mechanics object to affect.  <a href="#ab45cc9b185a33d20113c615fb34c262b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Property class that controls the thrusters attached to an object through the use of balanced thruster groups. </p>
<p>This property class supports the following actions (add prefix 'cel.mechanics.thruster.action.' if you want to access this action through a message):</p>
<ul>
<li>InitThrusterController: parameters 'objectpctag' (string).</li>
<li>AddAxis: parameters 'axisname' (string), 'axistype' (string, "rotation" or "translation"), 'axisdir' (vector3).</li>
<li>ApplyThrust: parameters 'axisname' (string), 'thrust' (float).</li>
<li>AddBalancedGroup: parameters 'axisname' (string), 'balancedgroup' (string). </li>
</ul>

<p>Definition at line <a class="el" href="mechthruster_8h_source.html#l00202">202</a> of file <a class="el" href="mechthruster_8h_source.html">mechthruster.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a27560838c9fb1eb0384352383782b214"></a><!-- doxytag: member="iPcMechanicsThrusterController::AddAxis" ref="a27560838c9fb1eb0384352383782b214" args="(const char *name, celAxisType type, const csVector3 axis)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#a27560838c9fb1eb0384352383782b214">iPcMechanicsThrusterController::AddAxis</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">celAxisType&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>axis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a named axis to the controller. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name for this axis. </td></tr>
    <tr><td class="paramname">type</td><td>one of celAxisType, the type of groups that can be added to this group. </td></tr>
    <tr><td class="paramname">axis</td><td>the vector representing either the direction of movement for this axis (for translational axes) or the direction of the axis around which rotation occurs. (for rotational axes) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c5edd062236d03fa7dad957682a125c"></a><!-- doxytag: member="iPcMechanicsThrusterController::AddBalancedGroup" ref="a2c5edd062236d03fa7dad957682a125c" args="(iPcMechanicsBalancedGroup *group, const char *axisname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#a2c5edd062236d03fa7dad957682a125c">iPcMechanicsThrusterController::AddBalancedGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsBalancedGroup.html">iPcMechanicsBalancedGroup</a> *&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>axisname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a balanced thruster group to the specified axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">group</td><td>the group to add. </td></tr>
    <tr><td class="paramname">axisname</td><td>the name of the axis to add to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8295e538c070d55fc32c17fd65c0f2c7"></a><!-- doxytag: member="iPcMechanicsThrusterController::ApplyThrust" ref="a8295e538c070d55fc32c17fd65c0f2c7" args="(float thrust, const char *axisname, uint32 &amp;id)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#a8295e538c070d55fc32c17fd65c0f2c7">iPcMechanicsThrusterController::ApplyThrust</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>thrust</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>axisname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> &amp;&#160;</td>
          <td class="paramname"><em>id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply the given percentage of total thrust for a given axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">thrust</td><td>the percentage of the total thrust for this axis to apply. </td></tr>
    <tr><td class="paramname">axisname</td><td>the name of the axis to apply thrust along. </td></tr>
    <tr><td class="paramname">id</td><td>is set to the id of the thrust request being applied. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a553d0f6735c4726e35fdd7acce363fac"></a><!-- doxytag: member="iPcMechanicsThrusterController::CancelThrust" ref="a553d0f6735c4726e35fdd7acce363fac" args="(uint32 id)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#a553d0f6735c4726e35fdd7acce363fac">iPcMechanicsThrusterController::CancelThrust</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cancels specified thrust request. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>the id of the thrust request to be cancelled. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a38bd444ae847394a89222d78e14fc631"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetAxis" ref="a38bd444ae847394a89222d78e14fc631" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsThrusterController.html#a38bd444ae847394a89222d78e14fc631">iPcMechanicsThrusterController::GetAxis</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the axis of rotation or translation. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the axis to query. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1b591afa7ca1035fda5efae1c875e536"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetAxisMaxForce" ref="a1b591afa7ca1035fda5efae1c875e536" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsThrusterController.html#a1b591afa7ca1035fda5efae1c875e536">iPcMechanicsThrusterController::GetAxisMaxForce</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the strength of the best thruster group in the given axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the axis to check. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a53763c08e38c6762a015ea43c2e60a32"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetAxisMaxThrust" ref="a53763c08e38c6762a015ea43c2e60a32" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsThrusterController.html#a53763c08e38c6762a015ea43c2e60a32">iPcMechanicsThrusterController::GetAxisMaxThrust</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the amount of thrust needed to produce the maximum force in the given axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the axis to check. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5c5b667877fb50a011071cd77dde0469"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetAxisType" ref="a5c5b667877fb50a011071cd77dde0469" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const celAxisType <a class="el" href="structiPcMechanicsThrusterController.html#a5c5b667877fb50a011071cd77dde0469">iPcMechanicsThrusterController::GetAxisType</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of the given axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the axis to query. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0b4425730a78c5b3de1628079715b93a"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetAxisVelocity" ref="a0b4425730a78c5b3de1628079715b93a" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const float <a class="el" href="structiPcMechanicsThrusterController.html#a0b4425730a78c5b3de1628079715b93a">iPcMechanicsThrusterController::GetAxisVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current velocity in the given axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the axis to query. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab2b351dff5c6f100fbb6eb36f5a9d114"></a><!-- doxytag: member="iPcMechanicsThrusterController::GetMechanicsObject" ref="ab2b351dff5c6f100fbb6eb36f5a9d114" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a>* <a class="el" href="structiPcMechanicsThrusterController.html#ab2b351dff5c6f100fbb6eb36f5a9d114">iPcMechanicsThrusterController::GetMechanicsObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated mechanics object. </p>

</div>
</div>
<a class="anchor" id="a099fe211a5726718275be0e89d11e567"></a><!-- doxytag: member="iPcMechanicsThrusterController::RemoveBalancedGroup" ref="a099fe211a5726718275be0e89d11e567" args="(const char *grouptag, const char *axisname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#a099fe211a5726718275be0e89d11e567">iPcMechanicsThrusterController::RemoveBalancedGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>grouptag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>axisname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a thruster group from the specified axis. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">grouptag</td><td>the tag of the group to remove. </td></tr>
    <tr><td class="paramname">axisname</td><td>the name of the axis to remove from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab45cc9b185a33d20113c615fb34c262b"></a><!-- doxytag: member="iPcMechanicsThrusterController::SetMechanicsObject" ref="ab45cc9b185a33d20113c615fb34c262b" args="(iPcMechanicsObject *mechobj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThrusterController.html#ab45cc9b185a33d20113c615fb34c262b">iPcMechanicsThrusterController::SetMechanicsObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>mechobj</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mechanics object to affect. </p>
<p>This is required. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mechobj</td><td>the object this controller will affect. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechthruster_8h_source.html">mechthruster.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
